## ros-humble-ouxt-lint-common 0.0.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(ouxt_lint_common)

find_package(ament_cmake_core REQUIRED)
find_package(ament_cmake_export_dependencies REQUIRED)

ament_package_xml()
ament_export_dependencies(${${PROJECT_NAME}_EXEC_DEPENDS})
ament_package()

=== debian/changelog ===
ros-humble-ouxt-lint-common (0.0.8-3bookworm) bookworm; urgency=high



 -- Masaya Kataoka <ms.kataoka@gmail.com>  Wed, 24 Nov 2021 16:00:00 -0000

ros-humble-ouxt-lint-common (0.0.7-3bookworm) bookworm; urgency=high

  * [Bot] Release 0.0.6 (#39 <https://github.com/OUXT-Polaris/ouxt_common/issues/39>)
    * release version 0.0.6
    * 0.0.6
  * Merge branch 'master' of https://github.com/OUXT-Polaris/ouxt_common
  * [Bot] Release 0.0.5 (#38 <https://github.com/OUXT-Polaris/ouxt_common/issues/38>)
    * release version 0.0.5
    * 0.0.5
  * Contributors: Masaya Kataoka, wam-v-tan

 -- Masaya Kataoka <ms.kataoka@gmail.com>  Sat, 13 Nov 2021 16:00:00 -0000

ros-humble-ouxt-lint-common (0.0.6-3bookworm) bookworm; urgency=high

  * Merge branch 'master' of https://github.com/OUXT-Polaris/ouxt_common
  * [Bot] Release 0.0.5 (#38 <https://github.com/OUXT-Polaris/ouxt_common/issues/38>)
    * release version 0.0.5
    * 0.0.5
  * Contributors: Masaya Kataoka, wam-v-tan

 -- Masaya Kataoka <ms.kataoka@gmail.com>  Fri, 10 Sep 2021 16:00:00 -0000

ros-humble-ouxt-lint-common (0.0.5-3bookworm) bookworm; urgency=high

  * Merge pull request #37 <https://github.com/OUXT-Polaris/ouxt_common/issues/37> from OUXT-Polaris/release/0.0.4
    [Bot] Release 0.0.4
  * 0.0.4
  * release version 0.0.4
  * Contributors: Masaya Kataoka, wam-v-tan

 -- Masaya Kataoka <ms.kataoka@gmail.com>  Fri, 10 Sep 2021 16:00:00 -0000

ros-humble-ouxt-lint-common (0.0.4-3bookworm) bookworm; urgency=high

  * Merge pull request #15 <https://github.com/OUXT-Polaris/ouxt_common/issues/15> from OUXT-Polaris/fix/description
    update package.xml
  * update package.xml
  * Contributors: Masaya Kataoka

 -- Masaya Kataoka <ms.kataoka@gmail.com>  Fri, 10 Sep 2021 16:00:00 -0000

ros-humble-ouxt-lint-common (0.0.3-3bookworm) bookworm; urgency=high

  * update changelog
  * remove CHANGELOG
  * 0.0.2
  * add CHANGELOG.rst
  * Merge pull request #3 <https://github.com/OUXT-Polaris/ouxt_common/issues/3> from OUXT-Polaris/feature/remove_lint_cmake
    remove ament_lint_cmake
  * remove ament_lint_cmake
  * Merge pull request #2 <https://github.com/OUXT-Polaris/ouxt_common/issues/2> from OUXT-Polaris/feature/ouxt_lint_common
    add ouxt_lint_common package
  * add ouxt_lint_common package
  * Contributors: Masaya Kataoka

 -- Masaya Kataoka <ms.kataoka@gmail.com>  Fri, 10 Sep 2021 16:00:00 -0000

=== debian/control ===
Source: ros-humble-ouxt-lint-common
Section: misc
Priority: optional
Maintainer: Masaya Kataoka <ms.kataoka@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-ouxt-lint-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-ament-cmake-clang-format, ros-humble-ament-cmake-copyright, ros-humble-ament-cmake-pep257, ros-humble-ament-cmake-xmllint, ros-humble-ros-workspace
Description: common linter settings for OUXT Polaris ROS2 packages

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-ouxt-lint-common//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-ouxt-lint-common//opt/ros/humble/opt/ouxt_lint_common/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
